SVN_SET_IGNORE(1)

NAME
svn_set_ignore - setup svn:ignore properties based on .gitignore files

SYNOPSIS
svn_set_ignore [--dry-run]

DESCRIPTION
Creates or updates an svn:ignore property for the current directory and all sub-directories. The current directory must contain a .gitignore file which defines the default list of ignore patterns for the whole project. The local ignore pattern for each directory is the concatenation of all .gitignore files found in the directory hierarchy. If no svn:ignore property exists or the existing one differs from the ignore pattern list determined from the top level and local .gitignore file the property is set or updated.

OPTIONS

--dry-run
    Shows svn:ignore property changes, but doesn't store them in the svn repository.

EXIT STATUS
If no top level .gitignore file is found or a svn(1) command fails the script dies with exit status 2.

SEE ALSO
svn(1)

AUTHOR
Walter F.J. Mueller <W.F.J.Mueller@gsi.de>